ASN2GB(1)

NAME
asn2gb - convert ASN.1 biological data to a GenBank-style flat format

SYNOPSIS
asn2gb [-] [-a asn-type] [-b] [-c] [-d] [-f format] [-g N] [-h N] [-i filename] [-j N] [-k N] [-l filename] [-m mode] [-o filename] [-p] [-q filename] [-r] [-s style] [-t N] [-u N] [-y N]

DESCRIPTION
asn2gb converts descriptions of biological sequences from NCBI's ASN.1 format to one of several flat-file formats, and is the successor to asn2ff(1).

OPTIONS
A summary of options is included below.

-   Print usage message

-a asn-type
    ASN.1 Type:
    a   Any (default)
    e   Seq-entry
    b   Bioseq
    s   Bioseq-set
    m   Seq-submit

-b  Bioseq-set is binary

-c  Bioseq-set is compressed

-d  Seq-loc minus strand

-f format
    Format:
    b   GenBank (default)
    e   EMBL
    p   GenPept
    t   Feature table only
    x   GBSet (XML)

-g N
    Bit flags (all default to off):
    1   HTML
    2   XML
    4   ContigFeats
    8   ContigSrcs
    16  FarTransl

-h N
    Lock/Lookup Flags (all default to off):
    8   LockProd
    16  LookupComp
    64  LookupProd

-i filename
    Input file name (default = stdin)

-j N
    Start location (default is 0, beginning of sequence)

-k N
    End location (default is 0, end of sequence)

-l filename
    Log file

-m mode
    Mode:
    r   Release
    e   Entrez
    s   Sequin (default)
    d   Dump

-o filename
    Output file name (default = stdout)

-p  Propagate top descriptors

-q filename
    Gbdjoin Executable (default = gbdjoin)

-r  Enable remote fetching

-s style
    Style:
    n   Normal (default)
    s   Segment
    m   Master
    c   Contig

-t N
    Batch:
    1   Report
    2   Sequin/Release
-u N Custom flags (all default to off):
    2   Hide most imported features
    4   Hide SNP features

-y N
    Feature itemID

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2asn(1), asn2ff(1), asn2xml(1), asndhuff(1)